<script lang="ts" setup>
import { useI18n } from 'vue-i18n';
const { t } = useI18n();
</script>

<template>
  <details>
    <summary>{{ t('oneTrustWarning.header') }}</summary>
    <span class="cbnc-message-expandable" style="display: inline">
      {{ t('oneTrustWarning.beforeButton') }}
      <button id="ot-sdk-btn" class="ot-sdk-show-settings" style="">
        {{ t('oneTrustWarning.buttonText') }}
      </button>
      {{ t('oneTrustWarning.afterButton') }}
    </span>
  </details>
</template>

<style lang="scss" scoped>
details {
  background: $color-surface-200;
  padding: 6px 12px;
}

summary {
  cursor: pointer;
  color: $color-text-300;
  font-weight: 600;
}

details > summary {
  list-style: none;
}
details > summary::-webkit-details-marker {
  display: none;
}

#ot-sdk-btn.ot-sdk-show-settings,
#ot-sdk-btn.optanon-show-settings {
  border: none;
  font-size: unset !important;
  color: unset !important;

  padding: 0;
  text-decoration: underline;

  &:hover,
  &:focus {
    background: transparent !important;
  }
}
</style>
